fmt.name.name = "_"
fmt.et.al     = "_ea"

## Switch of tab indentation for readability under terminal, Trac, ...
print.use.tab = off

## Make brace the only delimiter
rewrite.rule = {"^\"\([^#]*\)\"$" "{\1}"}

## Remove void fields
#rewrite.rule = { "^\" *\"$" }
rewrite.rule = { "^{ *}$" }

print { Remove unnecessary fields }
delete.field = { address      }
delete.field = { chapter      }
delete.field = { institution  }
delete.field = { isbn         }
delete.field = { issn         }
delete.field = { issue        }
delete.field = { keywords     }
delete.field = { language     }
delete.field = { note         }
delete.field = { number       }
delete.field = { organisation }
delete.field = { pages        }
delete.field = { pdf          }
delete.field = { series       }
delete.field = { school       }
delete.field = { type         }
delete.field = { url if field = "doi" }
delete.field = { volume       }

## default order for 1st fields
sort.order = { * = author # title # booktitle # journal # publisher # editor # year # month # doi # url }

print { Generate new citation keys }
ignored.word = "of"
ignored.word = "and"
ignored.word = "in"
key.format = { %-2n(author)_%-5.1W(journal)%2d(year) }

#print { Sort entries by key }
#sort = on
